Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/1033/?format=api
{ "ob_id": 1033, "uuid": "605975e19ce585889dd9855b8d254b86", "title": "MSF experiments", "abstract": "These data are held by the BADC for the Natural Environment Research Council (NERC) Molecular Spectroscopy Facility (MSF). MSF provides world-class scientific equipment and support for infrared (IR),visible, and ultraviolet (UV) spectroscopy. The MSF laboratories are used by many UK and international customers in a wide range of research and development programmes. The data are spectra of various atmospheric gases. These data are public.", "keywords": "ATMOSPHERICCHEMISTRY ATMOSPHERE", "publicationState": "published", "dataPublishedTime": "2007-02-20T23:20:02", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/1034/?format=api", "dataPath": "/badc/msf", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1271051384889, "numberOfFiles": 673895, "fileFormat": "<div property=\"cedacat:formats\">\n<div class=\"formats\">Availability of data</div>\n<p>\n\nThe MSF Spectroscopic Data are held at the BADC, and can be viewed or downloaded from the <a href=\"http://badc.nerc.ac.uk/cgi-bin/data_browser/data_browser/badc/msf/\">data webpage</a>.</p>\n<p>The data held covers the following areas:</p>\n<ul>\n<li>Water vapour line parameters</li>\n<li>Molecular oxygen absorption cross-sections</li>\n<li>Molecular oxygen/nitrogen absorption cross-sections</li>\n<li>Hydrofluorocarbon (HFC) infrared absorption cross-sections</li>\n<li>Perfluorocarbon (PFC) infrared absorption cross-sections</li>\n<li>Computer software</li>\n</ul>\n<p>Other NERC-funded MSF data will be made available through the BADC shortly.</p>\n</div>\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/277/?format=api", "geographicExtent": null, "nonGeographicFlag": true, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21771/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21817/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21823/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22341/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25383/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25865/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25866/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25867/?format=api" ], "dataLineage": "Data are acquired direct from the Molecular Spectroscopy Facility (MSF) at the Rutherford Appleton Laboratory (RAL) as experiments are run, and stored at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/754/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/877/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1032/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3297/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3298/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3303/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3300/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3301/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3302/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3304/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3299/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/1038/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }